## Package org.apache.hadoop.security.authentication.client

Interface Summary
Authenticator: Interface for client authentication mechanisms.

Class Summary
AuthenticatedURL: The `AuthenticatedURL` class enables the use of the JDK `URL` class against HTTP endpoints protected with the `AuthenticationFilter`.
AuthenticatedURL.Token: Client side authentication token.
KerberosAuthenticator: The `KerberosAuthenticator` implements the Kerberos SPNEGO authentication sequence.
PseudoAuthenticator: The `PseudoAuthenticator` implementation provides an authentication equivalent to Hadoop's Simple authentication, it trusts the value of the 'user.name' Java System property.

Exception Summary
AuthenticationException: Exception thrown when an authentication error occurrs.

Copyright © 2009 The Apache Software Foundation